Subject: Re: E1000E/82567LM-3: link reported up too soon

From: [email-masked] (Arnaud Ebalard)
Date: Mon, 20 Sep 2010 23:28:57 +0200

Hi,

David Miller <[email-masked]> writes:

> From: [email-masked] (Arnaud Ebalard)
> Date: Mon, 20 Sep 2010 22:09:16 +0200
>
>> The packets sent are an IPv6 Router Solicitation (to get IPv6 subnet
>> prefixes from the router) and a DHCP Request (to get an IPv4 address
>> from the DHCP server). 
>> 
>> The former is sent from the unspecified address (::) and the latter from
>> 0.0.0.0. The former is sent by UMIP Mobile IPv6 daemon. The second by my
>> DHCP client. They both use netlink to do that as soon as the link is up.
>> Both are for address configuration ...
>
> So do both DHCP request and the IPV6 RS get dropped, or just the IPV6 RS?

I added printk() to see where/if those first packets get dropped in
e1000e code. I followed those first packets to e1000_xmit_frame() and
don't see anything obvious happening there, i.e. they are passed to the
device as expected.

If I find some time tomorrow, I will try and take a look at
e1000_watchdog_task() and other functions that may perform asynchronous
tasks.

Cheers,

a+